Subject: Re: FVWM: ActiveUp, ActiveDown... ActiveHilight?

From: Dominik Vogt <[email-masked]>
Date: Fri, 1 Nov 2002 15:40:24 +0100

On Thu, Oct 31, 2002 at 10:08:54PM +0000, Mikhael Goikhman wrote:
> On 31 Oct 2002 15:29:20 -0500, Kendrick Vargas wrote:
> > 
> > I'm currently using an FVWM2 CVS snapshot from a week or so ago, and I'm 
> > trying to get my fvwm2 setup looking a little more modern. Actually, I'm 
> > trying to get my fvwm2 looking like the Metabox theme for Metacity.
> > 
> > I've got a good deal of the stuff looking the same, however I would like 
> > to have my buttons in the window decorations highlight to a different 
> > color/gradient. Currently I only see 2 states, Up and Down, for the Active 
> > and InActive options. Would it be difficult to add a Hilight state? Or 
> > would it be easy to achieve something similar so that when my mouse is 
> > over a botton, it highlights to a different background gradient?
> 
> This would break the current symmetry of 2x2x2 states. Making it to be
> 3x2x2 states. I can't say right now how hard is to detect the enter/leave
> button events. Maybe Dominik can.

Should be fairly easy once you understand how enter/leave events
work.  The difficult part is to not break other things.

> > Also, while I've got your attention, I've seen a number of windows 
> > managers allow for Titles, no borders, and a bar across the bottom. For 
> > example: 
> > 
> > 	http://www.hudat.com/~ken/metabox-screenshot.png
> > 
> > I imagine it'd be hard to do something like that, but is it somewhere on 
> > the radar as far as feature requests go? If not, could we add it :-)
> 
> But "we" do you mean you are willing to try? :)
> 
> There were discussions to have top/side/bottom borders separately
> disabled/enabled, but not exactly the implementation of this.

Disabling some of the borders is easy to implement, but drawing
them so that they are not just cut off is more difficult.  It's
somewhere in the middle of my to do list.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].